Submit Task Decisions
curl --request POST \
--url https://eu1.api.matillion.com/dpc/v1/ai/agents/tasks/{taskId}/decisions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"decisions": [
{
"type": "<string>",
"answers": [
{
"selectedOptions": [
"option_a"
],
"questionIndex": 0
}
],
"id": "550e8400-e29b-41d4-a716-446655440000"
}
]
}
'import requests
url = "https://eu1.api.matillion.com/dpc/v1/ai/agents/tasks/{taskId}/decisions"
payload = { "decisions": [
{
"type": "<string>",
"answers": [
{
"selectedOptions": ["option_a"],
"questionIndex": 0
}
],
"id": "550e8400-e29b-41d4-a716-446655440000"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
decisions: [
{
type: '<string>',
answers: [{selectedOptions: ['option_a'], questionIndex: 0}],
id: '550e8400-e29b-41d4-a716-446655440000'
}
]
})
};
fetch('https://eu1.api.matillion.com/dpc/v1/ai/agents/tasks/{taskId}/decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pendingDecisions": [
{
"permissionMessage": {
"body": "The agent wants to run: SELECT * FROM sales",
"title": "Execute SQL query"
},
"toolId": "call_abc123",
"toolInput": "<unknown>",
"toolName": "execute_sql",
"type": "tool"
}
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}AI Agent Tasks
Submit Task Decisions
Submits approval or question-answer decisions for a task that is awaiting human input.
POST
/
v1
/
ai
/
agents
/
tasks
/
{taskId}
/
decisions
Submit Task Decisions
Authorizations
a valid bearer token
Path Parameters
Body
application/json
Minimum array length:
1- Option 1
- Option 2
Show child attributes
Show child attributes
Response
Decisions submitted successfully
The list of decisions still pending after processing
Show child attributes
Show child attributes
Was this page helpful?
⌘I
